#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-4Krr7vOl5AbEWyBdaMGle8
key:                  ghcide-2.0.0.0-4Krr7vOl5AbEWyBdaMGle8
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  75518c9cff877c84c8f639d2339ae177
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-4Krr7vOl5AbEWyBdaMGle8
depends:
    Diff-0.4.1-64n982FmXR97jZWel5t29x
    Glob-0.10.2-Km1txHXYNrY1BSEauDYVMV
    aeson-2.1.2.1-CJUEk8Q0QXZ63rfmeHQCzY
    aeson-pretty-0.8.10-DJWOJAidBKMAmt1QMCjkYa array-0.5.4.0
    async-2.2.5-E5hpPP3Obp49M6sYRrKp7C base-4.17.2.1
    base16-bytestring-1.0.2.0-LbfTlLWmPdc9MFeB3bfiLt binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-FUjVpmJeiVFCvFoDLJPawp
    co-log-core-0.3.2.5-BMpf3Xru0QL6NQhATPkIw containers-0.6.7
    cryptohash-sha1-0.11.101.0-DLKlVUV0AR7BS9HqVwkrEg
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-F9pQuIuRaQk3OByq8vJsxe
    dependent-sum-0.7.2.0-2RqLhDJAuxJWchlQG1l2X directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-2u2XEWvXXcV91rLAdoSf8y exceptions-0.10.5
    extra-1.7.16-7rZ9EueKMST4kZaTeQHLxQ filepath-1.4.2.2
    fingertree-0.1.5.0-5B8aiExb8jY6F7p87wjuZy
    focus-1.0.3.2-AjtBgtqSTTOG1kHMGFxcCB ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-7TA8kXeMYUoCVeRQQ0emjH
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-2kr4oQKr3ucJJcJ75zfwEi
    hashable-1.4.4.0-LtdCyz5lRpSEDVfQGtCbHQ
    hie-bios-0.12.0-Hdz93AGQz3y4LQy2S7wUZW
    hie-compat-0.3.1.1-EX7c63LZz6m3PpO1VmTjuM
    hiedb-0.4.3.0-1Efv6B1ZUbuAoSUjhQC2nZ
    hls-graph-2.0.0.0-1KMcuSZgvSGHysYMLGaFFN
    hls-plugin-api-2.0.0.0-Cuoo46RLYV083pZhOLsn80
    implicit-hie-0.1.2.7-2PDvWtMhEJH4Nm3JsYs98K
    implicit-hie-cradle-0.5.0.1-E2pXA4yJLuQ6319iXBErzO
    lens-5.2.3-36OjZeBxEMTEmtquxK69F4
    list-t-1.0.5.5-7I0CR2wV0Mj81rfUJuAlSt
    lsp-1.6.0.0-27KcqVdtyuaIXNZwmdlWzw
    lsp-types-1.6.0.1-1xXApPkvfcv6iC4x8EshoM mtl-2.2.2
    opentelemetry-0.8.0-AUePtvZxlcF61ECh13ewpG
    optparse-applicative-0.17.1.0-4tPjpOfYmOi9nj8To0UB1j
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-C5HmRCcNKvH3komkkNnKOd
    prettyprinter-ansi-terminal-1.1.3-GrSGSBDwr8kLyFsmestIN8
    random-1.2.1.2-Cz5v09VeJop2IMLe7A0P8g
    regex-tdfa-1.3.2.4-ISs0i4Q5OFF31VxCfPzOi6
    safe-exceptions-0.1.7.4-EA7jWMcUQEEE1X3xzy3wgv
    sorted-list-0.2.3.1-JAmKtsNfiB6OCWwdH4DT2
    sqlite-simple-0.4.19.0-DuyA4Edh9oL9gYCzzvVl2I stm-2.5.1.0
    stm-containers-1.2.1.1-J5rSzBUFCmmCuSpN1UURmr
    syb-0.7.2.4-7JOtjKcEmcW20UWUNnrGCM text-2.0.2
    text-rope-0.3-LDLBETgwCpgLeTPvLIIa4u time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-3TYsKBbvpsL9cJ4Fa6CEuq
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-4tF6VC1d0ODJ0H7AFNioZw
    vector-0.13.1.0-4yrO9MMzvlSAj3sbKvUmkp

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

